unit kuaijiecaidan;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, OleServer, Outlook2000, OleCtrls, SHDocVw, StdCtrls,
  System.ComponentModel;

type
  TForm1 = class(TForm)
    PopupMenu1: TPopupMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    Memo1: TMemo;
    procedure N2Click(Sender: TObject);
    procedure N1Click(Sender: TObject);
    procedure N3Click(Sender: TObject);
    procedure N4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.N2Click(Sender: TObject);
begin
Memo1.CutToClipboard;
end;

procedure TForm1.N1Click(Sender: TObject);
begin
Memo1.CopyToClipboard;
end;

procedure TForm1.N3Click(Sender: TObject);
begin
Memo1.PasteFromClipboard;
end;

procedure TForm1.N4Click(Sender: TObject);
begin
Memo1.Clear;
end;
end.
